using SqlSugar;
using System.Collections.Generic;

namespace WCS.Entity
{
    /// <summary>
    ///  码垛层信息表
    /// </summary>
    [SugarTable(nameof(WCS_PalletizingLayer), "码垛层信息表")]
    public class WCS_PalletizingLayer
    {
        /// <summary>
        ///  Id
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "Id")]
        public int Id { get; set; }

        /// <summary>
        ///  码垛主表Id
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "码垛主表Id")]
        public int PalletizingId { get; set; }

        /// <summary>
        /// 是否空置
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "是否空置")]
        public bool IsEmpty { get; set; }

        /// <summary>
        ///  层号
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "层号")]
        public int LayerNo { get; set; }

        /// <summary>
        ///  行数
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "行数")]
        public int RowCountQty { get; set; }

        /// <summary>
        ///  行信息
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(WCS_PalletizingRow.PalletizingLayerId))]
        public List<WCS_PalletizingRow> Rows { get; set; }

        /// <summary>
        ///  当前所有的物料号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "当前所有的物料号")]
        public string MatCodeList { get; set; }

        /// <summary>
        ///  是否结束
        /// </summary>
        [SugarColumn(IsNullable = false, ColumnDescription = "是否结束")]
        public bool Finish { get; set; }

        /// <summary>
        ///  仓库编号
        /// </summary>
        [SugarColumn(ColumnDescription = "仓库编号", IsNullable = true)]
        public string WarehouseCode { get; set; }
    }
}
